Package com.xebialabs.xlrelease.api.v1.forms

## Class ManagedApplicationForm

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.ManagedApplicationForm

-     public class ManagedApplicationForm
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManagedApplicationForm()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getApplicationName()` |
    `java.lang.String` | `getApplicationReference()` |
    `java.lang.String` | `getConnectionServer()` |
    `java.util.Date` | `getDateCreated()` |
    `java.lang.String` | `getEnvironmentTag()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getManagedBy()` |
    `void` | `setApplicationName​(java.lang.String applicationName)` |
    `void` | `setApplicationReference​(java.lang.String applicationReference)` |
    `void` | `setConnectionServer​(java.lang.String connectionServer)` |
    `void` | `setDateCreated​(java.util.Date dateCreated)` |
    `void` | `setEnvironmentTag​(java.lang.String environmentTag)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setManagedBy​(java.lang.String managedBy)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedApplicationForm

          public ManagedApplicationForm()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getApplicationName

          public java.lang.String getApplicationName()

    - #### setApplicationName

          public void setApplicationName​(java.lang.String applicationName)

    - #### getManagedBy

          public java.lang.String getManagedBy()

    - #### setManagedBy

          public void setManagedBy​(java.lang.String managedBy)

    - #### getDateCreated

          public java.util.Date getDateCreated()

    - #### setDateCreated

          public void setDateCreated​(java.util.Date dateCreated)

    - #### getEnvironmentTag

          public java.lang.String getEnvironmentTag()

    - #### setEnvironmentTag

          public void setEnvironmentTag​(java.lang.String environmentTag)

    - #### getApplicationReference

          public java.lang.String getApplicationReference()

    - #### setApplicationReference

          public void setApplicationReference​(java.lang.String applicationReference)

    - #### getConnectionServer

          public java.lang.String getConnectionServer()

    - #### setConnectionServer

          public void setConnectionServer​(java.lang.String connectionServer)